/*
Autor: Marius M.
Quelle: www.montisblog.de
Funktion: Dieses Programm wurde für eine 3x3 LED Matrix geschrieben. Es lässt eine LED für
eine bestimmte Zeit leuchten. Danach die LED daneben und so weiter. 

Layout der LED Matrix:

           
   Spalte    1 2 3
   D Pin     7 5 3
            ------
       1 2 | 1 2 3
 Zeile 2 4 | 4 5 6
       3 6 | 7 8 9
 
*/
 
int Warte = 100;

void setup ()
{
 pinMode(2, OUTPUT); // Zeile 1
 pinMode(4, OUTPUT); // Zeile 2
 pinMode(6, OUTPUT); // Zeile 3
 
 pinMode(7, OUTPUT); // Spalte 1
 pinMode(5, OUTPUT); // Spalte 2
 pinMode(3, OUTPUT); // Spalte 3


Serial.begin(9600);

}

void loop ()
{
Eins();
delay(Warte);
Zwei(); 
delay(Warte);
Drei(); 
delay(Warte);
Vier(); 
delay(Warte);
Fuenf(); 
delay(Warte);
Sechs(); 
delay(Warte);
Sieben(); 
delay(Warte);
Acht(); 
delay(Warte);
Neun(); 
delay(Warte);
}


void Aus (){
  digitalWrite(3, HIGH);
  digitalWrite(5, HIGH);
  digitalWrite(7, HIGH);
  
  digitalWrite(2, LOW);
  digitalWrite(4, LOW);
  digitalWrite(6, LOW);
}

void Eins ()
{
  digitalWrite(3, HIGH);
  digitalWrite(5, HIGH);
  digitalWrite(7, LOW);
  
  digitalWrite(2, HIGH);
  digitalWrite(4, LOW);
  digitalWrite(6, LOW);
}

void Zwei ()
{
  digitalWrite(3, HIGH);
  digitalWrite(5, LOW);
  digitalWrite(7, HIGH);
  
  digitalWrite(2, HIGH);
  digitalWrite(4, LOW);
  digitalWrite(6, LOW);
}

void Drei ()
{
  digitalWrite(3, LOW);
  digitalWrite(5, HIGH);
  digitalWrite(7, HIGH);
  
  digitalWrite(2, HIGH);
  digitalWrite(4, LOW);
  digitalWrite(6, LOW);
}

void Vier ()
{
  digitalWrite(3, HIGH);
  digitalWrite(5, HIGH);
  digitalWrite(7, LOW);
  
  digitalWrite(2, LOW);
  digitalWrite(4, HIGH);
  digitalWrite(6, LOW);
}

void Fuenf ()
{
  digitalWrite(3, HIGH);
  digitalWrite(5, LOW);
  digitalWrite(7, HIGH);
  
  digitalWrite(2, LOW);
  digitalWrite(4, HIGH);
  digitalWrite(6, LOW);
}

void Sechs ()
{
  digitalWrite(3, LOW);
  digitalWrite(5, HIGH);
  digitalWrite(7, HIGH);
  
  digitalWrite(2, LOW);
  digitalWrite(4, HIGH);
  digitalWrite(6, LOW);
}

void Sieben ()
{
  digitalWrite(3, HIGH);
  digitalWrite(5, HIGH);
  digitalWrite(7, LOW);
  
  digitalWrite(2, LOW);
  digitalWrite(4, LOW);
  digitalWrite(6, HIGH);
}

void Acht ()
{
  digitalWrite(3, HIGH);
  digitalWrite(5, LOW);
  digitalWrite(7, HIGH);
  
  digitalWrite(2, LOW);
  digitalWrite(4, LOW);
  digitalWrite(6, HIGH);
}

void Neun ()
{
  digitalWrite(3, LOW);
  digitalWrite(5, HIGH);
  digitalWrite(7, HIGH);
  
  digitalWrite(2, LOW);
  digitalWrite(4, LOW);
  digitalWrite(6, HIGH);
}
